Subject: Re: bug#15405: 24.3; #[] freezes emacs

From: Dmitry Antipov <[email-masked]>
Date: Wed, 25 Sep 2013 20:12:36 +0400

On 09/25/2013 07:22 PM, Barry OReilly wrote:

>  From the code, I thought I could make the following change and have
> zero vectors participate in the vector_free_lists.

Of course, this is technically possible. <IMHO> But I don't see a reason for
this at all. Unlike 0 (zero) for arithmetic, "" for string operations,
() (or nil) for lists, etc., #[] (empty bytecode string) makes no sense at all.
Again, if bytecomp never produces such an objects and they're never used
somewhere else, it should be treated as "impossible" object and error should
be signaled once such an object is found. </IMHO>.

Dmitry